@use '../../global/styles-variables' as *;

:host {
	display: block;

	.digi-docs-about-design-error-pages {

		&__grid {
			display: grid;
			padding-top: var(--digi--padding--large);
			// grid-template-columns: 33% 33% 33%;
			grid-template-columns: calc( 33% - var(--digi--layout-columns--gap--column) );
			grid-template-rows: auto auto auto;
			gap: var(--digi--container-gutter--largest);
			
			@media (max-width: 769px) {
				grid-template-columns: 100%;
			}
					
		&-400 {
			@media (min-width: 770px) {
				grid-column: 2;
			}
		}
		
		&-500 {
			@media (min-width: 770px) {
				grid-column: 3;
				
				&--1 {
					grid-row: 1;
				}
	
				&--2 {
					grid-row: 2;
				}
			}
		}}

		// &__columns{
		// 	--digi--layout-columns--gap--column: var(--digi--padding--largest-3);
    //   --digi--layout-columns--gap--row: var(--digi--padding--largest);
    //   padding-bottom: var(--digi--padding--large);
		// 	display: block;
		// }
		&__list{
			counter-reset: colored-counter;
			list-style: none;
			padding-left: 40px !important;
			position: relative;

			padding-inline-start: var(--LIST--PADDING-INLINE-START);
      margin-top: var(--digi--list--margin--top);
      margin-bottom: var(--digi--list--margin--bottom);

			li{
				counter-increment: colored-counter;
				position: relative;
				&:not(:last-child) {
					margin-bottom: var(--digi--padding--large);
			 }
			}
		}
		&__list li:before {
			content: counter(colored-counter);
			color: var(--digi--color--text--inverted);
			font-size: 16px;
			font-weight: 600;
			position: absolute;
			--size: 25px;
			left: calc(-1 * var(--size) - 10px);
			line-height: var(--size);
			width: var(--size);
			height: var(--size);
			top: 0;
			background: var(--digi--color--background--inverted-1);
			border-radius: 50%;
			text-align: center;
		}
  }
}

::slotted(* .digi-media-image) {
	display: block !important;
	width: 100%;
  max-width: 100%;
}

::slotted(* img) {
	display: block !important;
}

::slotted(* h3) {
	margin-top: 10px;
	margin-bottom: 20px;
}